Calculate Forum

Libwebkitgtk-3.0.so.0

error while loading shared libraries: libwebkitgtk-3.0.so.0: cannot open shared object file: No such file or directory
Где искать эту либу?
В инете инфы ноль.

net-libs/webkit-gtk

Версия какая?

А что его требует?
Сходи по ссылке, которую eix выдает, и узнай какие версии есть.

Ну, или загугли название либы наконец.

1cestart: error while loading shared libraries: libwebkitgtk-3.0.so.0: cannot open shared object file: No such file or directory

eix - не панацея и так знаю как искать (ничего не дал).

https://www.google.com/search?client=firefox-b-ab&ei=QngZW6qrH4XE6ASE6ILoBg&q=gentoo+libwebkitgtk-3.0.so.0&oq=gentoo+libwebkitgtk-3.0.so.0&gs_l=psy-ab.3..35i39k1.145414.154490.0.154968.54.17.0.0.0.0.730.2345.0j6j1j5-1j1.9.0…0…1.1.64.psy-ab…46.3.489…0i7i30i19k1j0i10i30i19k1.0.kEiEik2B_iU

Выдает полный бред.

https://webkitgtk.org/

net-libs/webkit-gtk установлен?

equery f net-libs/webkit-gtk | grep /usr/lib

Сделай ссылку на похожую либу.

ln -s /usr/lib64/libwebkit2gtk-бла-бла libwebkitgtk-3.0.so.0

Спасибо Федор, чот не дотумкал сам про симлинк.
Делал симлинк от версии net-libs/webkit-gtk-2.4.11-r200 libwebkitgtk-1.0.so - не работало
С версией net-libs/webkit-gtk-2.18.6 все работает.
Откуда только 1С-ники берут нужные-ненужные либы :slight_smile:
Новые версии 1С отвязали от libwebkitgtk-1.0.so и net-libs/webkit-gtk-2.4.11-r200 ( где-то кто-то сдох похоже у них)

На самом деле все не совсем правильно.
Не надо делать никаких симлинков (хотя тоже работает).
Необходимо установить net-libs/webkit-gtk:3 для версий 1С 8,3 начиная от 8.3.12.1412

Тимофей Захарчук wrote:

На самом деле все не совсем правильно.
Не надо делать никаких симлинков (хотя тоже работает).
Необходимо установить net-libs/webkit-gtk:3 для версий 1С 8,3 начиная от 8.3.12.1412

Тимофей, как тебе удалось установить «net-libs/webkit-gtk:3»?
У меня получается только «net-libs/webkit-gtk-2.18.6» в состав которой входит «libwebkit2gtk-4.0.so» если сделать симлинк (ln -s /usr/lib64/libwebkit2gtk-4.0.so /usr/lib64/libwebkitgtk-3.0.so.0), то 1С в режиме предприятия работает, но конфигуратор падает с ошибкой:

/opt/1C/v8.3/x86_64//1cv8: symbol lookup error: /opt/1C/v8.3/x86_64/libwx_gtk3u-3.0.so.0: undefined symbol: webkit_web_view_set_highlight_text_matches

Платформа сейчас 8.3.12.1469

Подключите репозиторий layman -a linuxbuh -o http://ftp.linuxbuh.ru/overlay/linuxbuh/overlay.xml -f
eix-update
emerge net-libs/webkit-gtk:3
Все стянется с моего сервака (не помню какую версию webkit-gtk он подтягивает)

libwebkitgtk-3.0.so.0 лежит в версии net-libs/webkit-gtk-2.4.11-r1:3/25::linuxbuh

сам пакет net-libs/webkit-gtk-2.4.11-r1 лежит ftp://ftp.linuxbuh.ru/buhsoft/1C/1c83/libfor1c/webkitgtk-2.4.11.tar.xz

Ребята, подскажите, на Calculate Linux Desktop Mate 18 (i686)

ставлю бинарный net-libs/webkit-gtk::gentoo

устанавливаю 1С 8.3.12.1685 и делаю симлинк на libwebkitgtk-3.0.so.0

dpkg -i --force-depends 1c-enterprise83-client_8.3.12-1685_i386.deb
ln -s /usr/lib/libwebkit2gtk-4.0.so /usr/lib/libwebkitgtk-3.0.so.0

1С запускается, но конфигуратор вылетает. Нашел эту ветку, пытаюсь скомпилировать

такой webkit-gtk:
emerge =net-libs/webkit-gtk-2.4.11-r1::linuxbuh

и такой:

emerge net-libs/webkit-gtk::gentoo

Все валится в ошибки компиляции

Вывод:

emerge --info ‘=net-libs/webkit-gtk-2.4.11-r1::linuxbuh’

[code]
Portage 2.3.51 (python 3.6.5-final-0, !../…/var/lib/layman/distros/profiles/CLDM/x86, gcc-7.3.0, glibc-2.27-r6, 4.14.76-calculate i686)

System Settings

System uname: Linux-4.14.76-calculate-i686-Intel-R~~_Xeon-R~~CPU_E5-2420_v2@_2.20GHz-with-gentoo-18
KiB Mem: 3105184 total, 1576920 free
KiB Swap: 0 total, 0 free
Timestamp of repository gentoo: Fri, 07 Dec 2018 08:30:01 +0000
Head commit of repository gentoo: ed9a4ffeffe1263f0d0487cd3b7092f0f9ae5076

sh bash 4.4_p12
ld GNU ld (Gentoo 2.30 p5) 2.30.0
app-shells/bash: 4.4_p12::gentoo
dev-lang/perl: 5.24.3-r1::gentoo
dev-lang/python: 2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake: 3.9.6::gentoo
dev-util/pkgconfig: 0.29.2::gentoo
sys-apps/baselayout: 2.6-r1::gentoo
sys-apps/openrc: 0.38.3::gentoo
sys-apps/sandbox: 2.13::gentoo
sys-devel/autoconf: 2.69-r4::gentoo
sys-devel/automake: 1.15.1-r2::gentoo
sys-devel/binutils: 2.30-r4::gentoo
sys-devel/gcc: 7.3.0-r3::gentoo
sys-devel/gcc-config: 1.8-r1::gentoo
sys-devel/libtool: 2.4.6-r3::gentoo
sys-devel/make: 4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.18::gentoo (virtual/os-headers)
sys-libs/glibc: 2.27-r6::gentoo
Repositories:

gentoo
location: /usr/portage
sync-type: git
sync-uri: git://github.com/calculatelinux/gentoo.git
priority: -1000

calculate
location: /var/lib/layman/calculate
sync-type: laymansync
sync-uri: git://github.com/calculatelinux/calculate.git
masters: gentoo
priority: 50

distros
location: /var/lib/layman/distros
sync-type: laymansync
sync-uri: git://github.com/calculatelinux/distros.git
masters: calculate gentoo
priority: 50

linuxbuh
location: /var/lib/layman/linuxbuh
sync-type: laymansync
sync-uri: https://github.com/linuxbuh/linuxbuh.ru.git
masters: gentoo
priority: 50

Installed sets: autodeps,custom
ACCEPT_KEYWORDS=“x86”
ACCEPT_LICENSE="*"
CBUILD=“i686-pc-linux-gnu”
CFLAGS="-O2 -march=i686 -pipe"
CHOST=“i686-pc-linux-gnu”
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/var/calculate/remote/distfiles"
EMERGE_DEFAULT_OPTS=" --binpkg-changed-deps=n --quiet-build=n --binpkg-respect-use=y --jobs=4"
ENV_UNSET=“DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR”
FCFLAGS="-O2 -march=i686 -pipe"
FEATURES=“assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles getbinpkg merge-sync multilib-strict news parallel-fetch parallel-install preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch usersandbox usersync xattr”
FFLAGS="-O2 -march=i686 -pipe"
GENTOO_MIRRORS=“http://mirror.yandex.ru/gentoo-distfiles http://distfiles.gentoo.org
INSTALL_MASK="/etc/systemd /lib*/systemd /usr/lib*/systemd /etc/shorewall/*[!.] /etc/shorewall/ /etc/shorewall/? /etc/shorewall6/*[!.]?? /etc/shorewall6/ /etc/shorewall6/???"
LANG=“ru_RU.utf8”
LDFLAGS="-Wl,–as-needed"
MAKEOPTS="-j5"
PKGDIR="/var/calculate/packages/i686"
PORTAGE_BINHOST=“https://mirror.yandex.ru/calculate/grp/i686
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="–recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/calculate/tmp"
USE=“3dnow 3dnowext X a52 aac acl acpi aes alsa amr audiofile avi avx berkdb bittorrent bluetooth box bzip2 cairo caps cdda cddb cdparanoia cgroups chm cli consolekit cpudetection cracklib crypt css cue cups cxx dbus dftk djvu dri dv dvd dvdr dvdread ebook encode exif faac fexif ffmpeg flac flash fma3 fma4 foomaticdb fortran ftp gadu gd gdbm gif gphoto2 gpm gstreamer gtk hunspell iconv id3tag idn ieee1394 imagemagick imap introspection ios ipod ipv6 irc jabber jpeg jpeg2k libnotify libtirpc libwww lm_sensors logrotate lz4 lzo mad matroska mikmod mimap mmx mmxext mp3 mpeg mplayer musepack ncurses networkmanager nfs nls nptl nsplugin ogg oggvorbis openal opencore-amr openexr opengl openmp opus oscar padlock pam pcre pdf pgo png policykit popcnt ppp pulseaudio quicktime raw rdesktop readline real samba sasl scanner sdl seccomp semantic-desktop smp smtp speex spell srt sse sse2 sse3 sse4_1 sse4_2 sse4a ssl ssse3 svg taglib tcpd tga theora threads tiff truetype udev udisks unicode upnp upower usb userlocales v4l v4l2 vaapi vcd vdpau vhosts vidix vnc vorbis vpx wavpack webkit webp wimax win32codecs wmf wxwindows x264 x265 x86 xanim xattr xcomposite xinerama xmp xop xv xvid xvmc zlib” ABI_X86=“32” ALSA_CARDS=“ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci” APACHE2_MODULES=“authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias” CALLIGRA_FEATURES=“karbon plan sheets stage words” CAMERAS="" COLLECTD_PLUGINS=“df interface irq load memory rrdtool swap syslog” CPU_FLAGS_X86="3dnow 3dnowext mmx sse sse2" ELIBC=“glibc” GPSD_PROTOCOLS=“ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx” GRUB_PLATFORMS=“pc” INPUT_DEVICES=“libinput evdev mutouch synaptics keyboard mouse” KERNEL=“linux” L10N=“en be bg bs cs da de de-1901 es es-AR es-ES es-MX et fi fr fr-CA hr hu it kk lt lv nl pl pt pt-BR pt-PT ro ru sk sl sr sq sv uk” LCD_DEVICES=“bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text” LIBREOFFICE_EXTENSIONS=“presenter-console presenter-minimizer” LIRC_DEVICES=“devinput” OFFICE_IMPLEMENTATION=“libreoffice” PHP_TARGETS=“php5-6 php7-1” POSTGRES_TARGETS=“postgres9_5 postgres10” PYTHON_SINGLE_TARGET=“python3_6” PYTHON_TARGETS=“python2_7 python3_6” RUBY_TARGETS=“ruby23 ruby24” THEMES=“CLDM” USERLAND=“GNU” VIDEO_CARDS=“amdgpu i915 i965 intel nouveau nv nvidia r100 r200 r300 r600 radeon qxl radeonsi vesa virtualbox via” XTABLES_ADDONS=“quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account”
Unset: CC, CPPFLAGS, CTARGET, CXX, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

[/code]

Ошибку такую выдает:

DerivedSources/WebCore/JSDOMWindow.cpp:177:10: fatal error: JSInternalSettingsGenerated.h: No such file or directory
#include “JSInternalSettingsGenerated.h”
^~~
compilation terminated.
make[1]: ***** [GNUmakefile:62334: DerivedSources/WebCore/libWebCore_la-JSDOMWindow.lo] Error 1
make[1]: ***** Waiting for unfinished jobs…
mv -f DerivedSources/WebCore/.deps/libWebCore_la-JSDOMStringList.Tpo DerivedSources/WebCore/.deps/libWebCore_la-JSDOMStringList.Plo
mv -f DerivedSources/WebCore/.deps/libWebCore_la-JSDOMStringMap.Tpo DerivedSources/WebCore/.deps/libWebCore_la-JSDOMStringMap.Plo
mv -f DerivedSources/WebCore/.deps/libWebCore_la-JSDOMTokenList.Tpo DerivedSources/WebCore/.deps/libWebCore_la-JSDOMTokenList.Plo
mv -f DerivedSources/WebCore/.deps/libWebCore_la-JSDOMURL.Tpo DerivedSources/WebCore/.deps/libWebCore_la-JSDOMURL.Plo
make[1]: Leaving directory ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/work/webkitgtk-2.4.11’
make: ***** [GNUmakefile:25836: all] Error 2
* ERROR: net-libs/webkit-gtk-2.4.11-r1::linuxbuh failed (compile phase):
* emake failed
*
* If you need support, post the output of `emerge --info ‘=net-libs/webkit-gtk-2.4.11-r1::linuxbuh’`,
* the complete build log and the output of `emerge -pqv ‘=net-libs/webkit-gtk-2.4.11-r1::linuxbuh’`.
* The complete build log is located at ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/temp/build.log’.
* The ebuild environment file is located at ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/temp/environment’.
* Working directory: ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/work/webkitgtk-2.4.11’
* S: ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/work/webkitgtk-2.4.11’

* Messages for package net-libs/webkit-gtk-2.4.11-r1:

* ERROR: net-libs/webkit-gtk-2.4.11-r1::linuxbuh failed (compile phase):
* emake failed
*
* If you need support, post the output of `emerge --info ‘=net-libs/webkit-gtk-2.4.11-r1::linuxbuh’`,
* the complete build log and the output of `emerge -pqv ‘=net-libs/webkit-gtk-2.4.11-r1::linuxbuh’`.
* The complete build log is located at ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/temp/build.log’.
* The ebuild environment file is located at ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/temp/environment’.
* Working directory: ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/work/webkitgtk-2.4.11’
* S: ‘/var/calculate/tmp/portage/net-libs/webkit-gtk-2.4.11-r1/work/webkitgtk-2.4.11’

Покопаюсь еще в гугле, мож что подскажет

попробую еще MAKEOPTS="-j1", может, поможет

Андрей - все не так делаете.
Ни в коем случае НЕЛЬЗЯ линковать libwebkitgtk-4.0.so.0 в libwebkitgtk-3.0.so.0
Это разные версии библиотек.
НЕОБХОДИМО установить net-libs/webkit-gtk:3 - :3 очень важно,так и пишите
строчка должна быть emerge net-libs/webkit-gtk:3 и установиться версия с libwebkitgtk-3.0.so.0

Необходимо установить net-libs/webkit-gtk:3 для версий 1С 8,3 начиная от 8.3.12.1412, с libwebkitgtk-4.0.so.0 1С работать НЕ БУДЕТ

Андрей Семенов wrote:

попробую еще MAKEOPTS="-j1", может, поможет

На i386 не пробовал

Тимофей, спасибо за ответ.

А я думал, что net-libs/webkit-gtk-2.4.11-r1::linuxbuh как раз и выдаст мне по итогу libwebkitgtk-3.0.so.0

Симлинк я на всякий случай попробовал, вдруг библиотеки на 100% обратно совместимы :).

попробую еще MAKEOPTS="-j1", может, поможет

Пока в ошибку не выпало, может, процесс завершится успешно в итоге…

Андрей Семенов wrote:

Тимофей, спасибо за ответ.

А я думал, что net-libs/webkit-gtk-2.4.11-r1::linuxbuh как раз и выдаст мне по итогу libwebkitgtk-3.0.so.0

Симлинк я на всякий случай попробовал, вдруг библиотеки на 100% обратно совместимы :).

попробую еще MAKEOPTS="-j1", может, поможет

Пока в ошибку не выпало, может, процесс завершится успешно в итоге…

net-libs/webkit-gtk-2.4.11-r1::linuxbuh просто вытянет пакет webkitgtk-2.4.11.tar.xz
В этом пакете содержатся две либы libwebkitgtk-1.0.so.0 и libwebkitgtk-3.0.so.0
Без параметра :3 на конце - соберется с libwebkitgtk-1.0.so.0
с :3 - соберется с libwebkitgtk-3.0.so.0

Вот пример
net-libs/webkit-gtk
Доступные версии:
(3) 2.4.11-r1(3/25)[1] - версия libwebkitgtk-3.0.so.0
(2) 2.4.11-r200[1] - версия libwebkitgtk-2.0.so.0
(4) 2.18.3(4/37)^t[1] 2.22.2(4/37)^t{tbz2} ~2.22.4(4/37) - версия libwebkitgtk-4.0.so.0

Для сборки применяются версии либ так
emerge net-libs/webkit-gtk:2 версия libwebkitgtk-2.0.so.0
emerge net-libs/webkit-gtk:3 версия libwebkitgtk-3.0.so.0
emerge net-libs/webkit-gtk:4 или просто emerge net-libs/webkit-gtk версия libwebkitgtk-4.0.so.0

© 2007-2020 Calculate Ltd.
Mastodon Mastodon